MonoMac 0.0.0.0 System.Object MonoMac.ObjCRuntime.INativeObject System.IDisposable MonoMac.ObjCRuntime.Since(3, 2) Font Descriptors contain a description of font features that can identify a font.

Font Descriptors contain a description of font features and can completely identify a font. Sometimes the description is not complete enough, and the system will pick a font that matches the specified parameters.

`var attributes = new CTFontDescriptorAttributes () { FamilyName = "Times New Roman", Size = 18 }; var fontDescriptor = new CTFontDescriptor (attributes);`
- Constructor
  0.0.0.0
  Font attributes to use for the font descriptor.
  Creates a font descriptor from a set of attributes.
  var attributes = new CTFontDescriptorAttributes () { FamilyName = "Times New Roman" };

  var fontDescriptor = new CTFontDescriptor (attributes);
- Constructor
  0.0.0.0
  PostScript name for the font to create.
  The desired size. If the size is zero, the font is treated as if the size had not been specified.
  Creates a font descriptor from a PostScript name (and optional size).
- Method
  0.0.0.0
  System.Void Releases the resources used by the CTFontDescriptor object.

  The Dispose method releases the resources used by the CTFontDescriptor class.

  Calling the Dispose method when you are finished using the CTFontDescriptor ensures that all external resources used by this managed object are released as soon as possible. Once you have invoked the Dispose method, the object is no longer useful and you should no longer make any calls to it. For more information on releasing resources see ``Cleaning up Unmananaged Resources'' at http://msdn.microsoft.com/en-us/library/498928w2.aspx

- Method
  0.0.0.0
  System.Void ``

  If set to , the method is invoked directly and will dispose manage and unmanaged resources; If set to the method is being called by the garbage collector finalizer and should only release unmanaged resources.

  Releases the resources used by the CTFontDescriptor object.

  This Dispose method releases the resources used by the CTFontDescriptor class.

  This method is called by both the Dispose() method and the object finalizer (Finalize). When invoked by the Dispose method, the parameter disposting is set to and any managed object references that this object holds are also disposed or released; when invoked by the object finalizer, on the finalizer thread the value is set to .

  Calling the Dispose method when you are finished using the CTFontDescriptor ensures that all external resources used by this managed object are released as soon as possible. Once you have invoked the Dispose method, the object is no longer useful and you should no longer make any calls to it.

  For more information on how to override this method and on the Dispose/IDisposable pattern, read the ``Implementing a Dispose Method'' document at http://msdn.microsoft.com/en-us/library/fs2xkftw.aspx

- Method
  0.0.0.0
  System.Void Finalizer for the CTFontDescriptor object
- Method
  0.0.0.0
  MonoMac.Foundation.NSObject `` An NSString representing a CTFontDescriptor attribute, one of the keys in . Fetches a CTFontDescriptorAttribute from the descriptor. The attribute as an NSObject. You can use method to get all the attributes at once with a strongly typed set of properties.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFontDescriptorAttributes Retrieves the attributes from this CTFontDescriptor. Strongly typed CTFontDescriptorAttributes.
- Method
  0.0.0.0
  MonoMac.Foundation.NSObject `` An NSString representing a CTFontDescriptor attribute, one of the keys in . Returns an attribute that has been localized. The attribute as an NSObject, or null if not available.
- Method
  0.0.0.0
  MonoMac.Foundation.NSObject `` `` An NSString representing a CTFontDescriptor attribute, one of the keys in . On output, the language code that matched (if available). Returns an attribute that has been localized. The attribute as an NSObject or null if not available.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFontDescriptor To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFontDescriptor `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFontDescriptor `System.ParamArray` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFontDescriptor[] To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFontDescriptor[] `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFontDescriptor[] `System.ParamArray` To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  System.IntPtr Handle (pointer) to the unmanaged object representation. A pointer This IntPtr is a handle to the underlying unmanaged representation for this object.
- Method
  0.0.0.0
  MonoMac.ObjCRuntime.Since(6, 0)
  System.Boolean `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFontDescriptor `` To be added. To be added. To be added. `var attributes = new CTFontDescriptorAttributes () { FamilyName = "Times New Roman" }; var newFontDescriptor = myDescriptor.WithAttributes (attributes);`
- Method
  0.0.0.0
  MonoMac.CoreText.CTFontDescriptor `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFontDescriptor `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFontDescriptor `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFontDescriptor `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFontDescriptor `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFontDescriptor `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFontDescriptor `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFontDescriptor `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFontDescriptor `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFontDescriptor `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFontDescriptor `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFontDescriptor `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFontDescriptor `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFontDescriptor `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFontDescriptor `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFontDescriptor `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFontDescriptor `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFontDescriptor `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFontDescriptor `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFontDescriptor `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFontDescriptor `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFontDescriptor `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFontDescriptor `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFontDescriptor `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFontDescriptor `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFontDescriptor `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFontDescriptor `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFontDescriptor `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFontDescriptor `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFontDescriptor `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFontDescriptor `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFontDescriptor `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFontDescriptor `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFontDescriptor `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFontDescriptor `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFontDescriptor `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFontDescriptor `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFontDescriptor `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFontDescriptor `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Obsolete
  MonoMac.CoreText.CTFontDescriptor `` `` the feature to create. To be added. Creates a font descriptor from this font descriptor, with the specified feature set. A new CTFontDescriptor representing the specified feature. This is a convenience method that creates new CTFontDescriptors with a single feature altered.
- Method
  0.0.0.0
  MonoMac.CoreText.CTFontDescriptor `` `` To be added. To be added. To be added. To be added. To be added.